package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 客户专业收藏对象 b_customer_marjors
 * 
 * @author mingxue
 * @date 2021-07-27
 */
public class BCustomerMarjors extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 客户 */
    @Excel(name = "客户")
    private String customerCode;

    /** 专业 */
    @Excel(name = "专业")
    private Long marjorId;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    public BCustomerMarjors setId(Long id) {
        this.id = id;
        return this;
    }

    public Long getId() {
        return id;
    }

    public BCustomerMarjors setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
        return this;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public BCustomerMarjors setMarjorId(Long marjorId) {
        this.marjorId = marjorId;
        return this;
    }

    public Long getMarjorId() {
        return marjorId;
    }

    public BCustomerMarjors setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("customerCode", getCustomerCode())
            .append("marjorId", getMarjorId()).append("createTime", getCreateTime()).append("status", getStatus()).toString();
    }
}
